dbXML API

## com.dbxml.util
Class SimpleConfigurable

    java.lang.Object
      com.dbxml.util.SimpleConfigurable

All Implemented Interfaces:
  Configurable

Direct Known Subclasses:
  DBFiler, ExtensionManager, FSFiler, IndexManager, MemFiler, QueryEngine, QueryResolverBase, SecurityManagerBase, SimpleExtension, SimpleService, SimpleTrigger, TriggerManager

public class SimpleConfigurable
extends java.lang.Object
implements Configurable

SimpleConfigurable

Constructor Summary
`SimpleConfigurable()`
`SimpleConfigurable(Configuration config)`

Method Summary
`Configuration` `getConfig()` getConfig retrieves the configuration information for the Configurable object instance.
`void` `setConfig(Configuration config)` setConfig sets the configuration information for the Configurable object instance.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleConfigurable

    public SimpleConfigurable()

### SimpleConfigurable

    public SimpleConfigurable(Configuration config)

Method Detail

### setConfig

    public void setConfig(Configuration config)
                   throws dbXMLException

  Description copied from interface: `Configurable`
  setConfig sets the configuration information for the Configurable object instance.

  Specified by:
    `setConfig` in interface `Configurable`
  Parameters:
    `config` - The configuration Node
  Throws:
    `dbXMLException`

### getConfig

    public Configuration getConfig()

  Description copied from interface: `Configurable`
  getConfig retrieves the configuration information for the Configurable object instance.

  Specified by:
    `getConfig` in interface `Configurable`
  Returns:
    The configuration Node

dbXML API

Copyright (c) 2004 The dbXML Group